<template>
<div>
    <h1 class="mb-3">Do you have any of the following medical conditions? </h1>
    <p class="mb-8">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      @click="nextStage"
      :disabled="!checkboxSelected.length"
      text="Next"
    />
  </div>
</template>

<script>

import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "AntiAging10",
  data() {
    return {
      choices: [
        'Eczema',
        'Allergy to Vitamin A analogues',
        'Rosceca',
      ],
      checkHandler: newVal => this.setAnswer(this.answersKeys.ANTI_AGING, newVal, 'stage_10')
    }
  }
}
</script>

<style scoped>

</style>
